Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.storage
Class XQueryMonitor

    java.lang.Object
      org.exist.storage.XQueryMonitor

public class XQueryMonitor
extends java.lang.Object

Class to keep track of all running queries in a database instance. The main purpose of this class is to signal running queries that the database is going to shut down. This is done through the `XQueryWatchDog` registered by each query. It is up to the query to check the watchdog's state. If it simply ignores the terminate signal, it will be killed after the shutdown timeout is reached.

Author:
  wolf

Constructor Summary
`XQueryMonitor()`

Method Summary
`void` | `killAll(long waitTime)`
`void` | `queryCompleted(XQueryWatchDog watchdog)`
`void` | `queryStarted(XQueryWatchDog watchdog)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XQueryMonitor

    public XQueryMonitor()

Method Detail

### queryStarted

    public void queryStarted(XQueryWatchDog watchdog)

### queryCompleted

    public void queryCompleted(XQueryWatchDog watchdog)

### killAll

    public void killAll(long waitTime)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.